Submit an uploaded document for officer review
curl --request POST \
--url https://api.artu.ai/documents/{id}/submit \
--header 'Authorization: Bearer <token>' \
--header 'X-Environment: <api-key>'import requests
url = "https://api.artu.ai/documents/{id}/submit"
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'X-Environment': '<api-key>'}
};
fetch('https://api.artu.ai/documents/{id}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/documents/{id}/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/documents/{id}/submit"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/documents/{id}/submit")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/documents/{id}/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "identity",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}Documents
Submit an uploaded document for officer review
POST
/
documents
/
{id}
/
submit
Submit an uploaded document for officer review
curl --request POST \
--url https://api.artu.ai/documents/{id}/submit \
--header 'Authorization: Bearer <token>' \
--header 'X-Environment: <api-key>'import requests
url = "https://api.artu.ai/documents/{id}/submit"
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'X-Environment': '<api-key>'}
};
fetch('https://api.artu.ai/documents/{id}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/documents/{id}/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/documents/{id}/submit"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/documents/{id}/submit")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/documents/{id}/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "identity",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
Response
200 - application/json
OK
Client ID
Category
Available options:
identity, tax, address, incorporation, financial, other, consent Scope
Available options:
MX, US Type
Minimum string length:
1Status
Available options:
pending_upload, uploaded, pending_review, processing, verified, rejected, expired, no_file Filename
Content Type
Size
Required range:
-9007199254740991 <= x <= 9007199254740991Expires At
Verified At
Verified By
Rejection Reason
Reviewed At
Reviewed By
External ID
Fields
Show child attributes
Show child attributes
Metadata
Show child attributes
Show child attributes
Was this page helpful?
